Change due date

This request changes the day of the month on which a line of credit account's payments come due.

   Click here to learn more about this request

Each billing cycle has an associated payment due date. Due dates are an important piece to how account values, such as interest accrual, are calculated. If necessary, due dates can be moved. Note the following when using this request:

This request changes the date on which payments come due moving forward. Making this change will have a lasting effect on subsequent billing periods as well. For example, moving a due date to the 15th day of the current month will ensure that all due dates moving forward will land on the 15th of future months.

This endpoint has two capabilities: changing due dates and changing statement dates. These two actions are separate from each other. Which action is taken is dependent the type field within the payload. For information on how to change a statement date, see Change account statement date

Due date changes take effect on the apply date. The system will verify which period the apply date is in and change the due date that's associated with that period.

Changing a due date does not also change the statement date. To change a statement date, see Change account statement date

Here's an example of how changing a due date affects the account:


ℹ️

This request interacts with Compliance Guardrails.

Compliance Guardrails are a LoanPro feature that helps ensure actions taken on accounts are done so compliantly with lending laws. Once configured, these guardrails are applied to a line of credit program, ensuring all accounts within that program adhere to the same compliance standards.

Guardrails are configurable, allowing you to set rule criteria for which accounts should either result in a warning or an error. If your request attempt is flagged by a guardrail, a 409 response code is returned along with one of the following responses:

{
    "error": {
        "message": "",
        "type": "GuardrailEvaluationException",
        "code": 409
    },
    "warnings": [
        "<p>CARD Act Warning: This is a configurable warning message.</p>"
    ]
}
{
    "error": {
        "message": "CARD Act Compliance: This is a configurable error message.",
        "type": "GuardrailEvaluationException",
        "code": 409
    }
}

Guardrail flags can be ignored for testing purposes by adding "ignoreGuardrailWarnings": true to the payload of this request.

Database

For more information regarding due date database tables, see the following articles:

Database – Line of Credit Change Statement Due Date Entity (line_of_credit_change_statement_due_date_entity)

Database - Line of Credit Statements (line_of_credit_statement_template_entity)

{
    "lineOfCreditId": 28982,
    "info": "Due Date Change",
    "type": "lineOfCreditChangeStatementDueChange.type.dueDateChanged",
    "applyDate": "2023-09-30",
    "newDate": "2023-10-31",
    "ignoreGuardrailWarnings": false
}
Body Params
int32
required

The ID of the line of credit account.

string
required

This field is used to provide information that describes the due date change.
> Limited to 255 characters.

string
enum
required

Determines the type of change being made—in this case, a due date change.

Allowed:
date
required

The date on which the change will take effect.
> Formatted as YYYY-MM-DD

date
required

The new account due date.
> Formatted as YYYY-MM-DD

boolean

Optional field that bypasses warnings and errors provided by Compliance Guardrails. See the learn more section above to learn about Compliance Guardrails.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json